summaryrefslogtreecommitdiff
path: root/tests/rmdir/fail-perm
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-01-22 22:18:12 +0000
committerJim Meyering <jim@meyering.net>2004-01-22 22:18:12 +0000
commit7f03cbd20f6e687a4f79edb2bcffcf4319ef1c90 (patch)
treefb713273f93c4750f03628b6c4c25866c0be8d9d /tests/rmdir/fail-perm
parenta3600f610770f1d53254f4baf9a775d141adb1e5 (diff)
downloadcoreutils-7f03cbd20f6e687a4f79edb2bcffcf4319ef1c90.tar.xz
Test for just-fixed rmdir bug.
Diffstat (limited to 'tests/rmdir/fail-perm')
-rwxr-xr-xtests/rmdir/fail-perm35
1 files changed, 35 insertions, 0 deletions
diff --git a/tests/rmdir/fail-perm b/tests/rmdir/fail-perm
new file mode 100755
index 000000000..3b89417f1
--- /dev/null
+++ b/tests/rmdir/fail-perm
@@ -0,0 +1,35 @@
+#!/bin/sh
+# For unwritable directory `d', `rmdir -p d d/e/f' would emit
+# diagnostics but would not fail. Fixed in 5.1.2.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ rmdir --version
+fi
+
+PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
+
+pwd=`pwd`
+t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
+trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap '(exit $?); exit $?' 1 2 13 15
+
+framework_failure=0
+mkdir -p $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir d d/e d/e/f || framework_failure=1
+chmod a-w d || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+# This rmdir command outputs two diagnostics.
+# Before coreutils-5.1.2, it would mistakenly exit successfully.
+# As of coreutils-5.1.2, it fails, as required.
+rmdir -p d d/e/f 2> /dev/null && fail=1
+
+(exit $fail); exit $fail